{% extends 'base.html.twig' %}

{% block title %}Sondage{% endblock %}

{% block body %}
    <h1 class="text-center fw-bold">{{ sondage.theme }}</h1>
    <div class="text-center">
        {% if sondage.estPublie %}
            <p>Ce sondage est disponible au public, vous ne pouvez pas le modifier.</p>
            <a href="{{ path("app_controleur_sondage_changerPublication", {"id": sondage.id}) }}" class="btn btn-danger">Masquer le sondage</a>
        {% else %}
            <p>Ce sondage n'est pas disponible au public</p>
            <a href="{{ path("app_controleur_sondage_changerPublication", {"id": sondage.id}) }}" class="btn btn-success" >Publier le sondage</a>
        {% endif %}
    </div>


    <h2 class="text-center">Liste des questions</h2>

    <div class="container py-3">
        <div class="d-flex mb-3">
            <div class="p-2"></div>
            <div class="p-2"></div>
            {% if not sondage.estPublie %}
                <div class="ms-auto p-2">
                    <a class="d-inline-flex mt-2 mt-md-0 ms-md-auto" href="{{ path('app_controleur_question_new', {'id': sondage.id}) }}">
                        <i class="bi bi-plus-square-dotted" style="font-size: 175%;"> </i>
                    </a>
                </div>
            {% endif %}
        </div>

        {%  include 'layer/listeQuestions.html.twig'%}
        <a class="btn grisVert d-grid gap-2 col-2 mt-2 mx-auto" href="{{ path("app_controller_produit_show", {"id":  sondage.produit.id}) }}">Retour</a>
    </div>


{#    {{ include('controleur_sondage/_delete_form.html.twig') }}#}
{% endblock %}
